package com.philisense.www.service;


import java.util.List;
import java.util.Map;

public interface ProResourceActionService extends BaseCRUDService{

    public List<Map<String, Object>> getProResourceTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getProResourceTreeByLevelCode(Map<String, Object> map);

    int updateDropNode(Map<String, Object> map);

    List<Map<String, Object>> getAllForProResourceAction(Map<String, Object> map);

    List<Map<String, Object>> getAllForProResourceActionByUserId(Map<String, Object> map);

}
